﻿/*Checkbox*/
#FLAG_AUTORISATION {
    position: absolute;
    top: 7px;
    left: 19px;
}

#modal_cookie {
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    position: fixed;
    background-color: rgba(0,0,0,0.4);
    z-index: 1;
    display: flex;
    justify-content: center;
}

#titre_modal_cookie {
    color: #474747;
}

#modal_cookie #container_modal_cookie {
    background: var(--color-white);
    margin: 10rem;
    width: 50%;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    border: solid 1px;
    margin-top: 10rem;
    justify-content: space-around;
}

    #modal_cookie #container_modal_cookie p {
        font-size: medium;
    }

    #modal_cookie #container_modal_cookie #container_btn_modal_cookie {
        align-self: flex-end;
    }

#modal_cookie #container_btn_modal_cookie {
    width: 100%;
}
#btn_autoriser_captcha {
    margin-left: 0;
}


@media(max-width:375px) {

    #sous_titre_modal_cookie {
        font-size: medium
    }

    #texte_modal_cookie {
        font-size: smaller !important
    }
}

@media(max-width:480px) {
    #titre_modal_cookie {
        font-size: xx-large
    }
}


@media(max-width:650px) {

    #container_modal_cookie {
        justify-content:normal!important;
        height:18rem;
    }
}

@media(max-width:770px) {

    #container_modal_cookie {
        overflow-y: auto;
        overflow-x: hidden;
    }

    #titre_modal_cookie {
        font-size: x-large !important
    }

    #texte_modal_cookie{
        font-size: small!important;
    }
}


@media only screen and (max-width: 960px) {

    #modal_cookie {
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        position: fixed;
        background-color: rgba(0,0,0,0.4);
        z-index: 1;
        display: flex;
    }

        #modal_cookie #container_modal_cookie {
            background: var(--color-white);
            margin: 10rem;
            width: 50%;
            padding: 1rem;
            display: flex;
            flex-direction: column;
            border: solid 1px;
            justify-content: space-around;
        }

            #modal_cookie #container_modal_cookie #container_btn_modal_cookie {
                margin-right: 2rem;
                width: 100%;
            }
}

@media (max-width:1024px){
    #btn_autoriser_captcha {
        width: 100%;
        height: 100%;
        padding: 0;
    }
}